Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces
Interface TreeInfo

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultTreeInfo

public interface TreeInfo
extends Serializable

Interface that merge all information about all plugins that is required to build the tree structure used to browse managemeable resources

Version:
  $Revision: 1.4 $

  Revisions:

  December 16, 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `PluginManager`

Method Summary
`void` | `addTreeToResource(ManageableResource resource, TreeNode tree)`
`String` | `getDescription()`
`TreeAction` | `getHomeAction()`
`String` | `getIconUrl()`
`TreeNodeMenuEntry[]` | `getRootMenus()`
`ManageableResource[]` | `getRootResources()`
`TreeNode[]` | `getTreesForResource(ManageableResource resource)`
`long` | `getTreeVersion()`
`void` | `setHomeAction(TreeAction homeAction)`
`void` | `setIconUrl(String iconUrl)`
`void` | `setRootMenus(TreeNodeMenuEntry[] menus)`
`void` | `setRootResources(ManageableResource[] roots)`
`void` | `setTreeVersion(long version)`

Method Detail

### getRootResources

    public ManageableResource[] getRootResources()

### setRootResources

    public void setRootResources(ManageableResource[] roots)

### getTreesForResource

    public TreeNode[] getTreesForResource(ManageableResource resource)

### addTreeToResource

    public void addTreeToResource(ManageableResource resource,
                                  TreeNode tree)

### getHomeAction

    public TreeAction getHomeAction()

### setHomeAction

    public void setHomeAction(TreeAction homeAction)

### getDescription

    public String getDescription()

### getIconUrl

    public String getIconUrl()

### setIconUrl

    public void setIconUrl(String iconUrl)

### setRootMenus

    public void setRootMenus(TreeNodeMenuEntry[] menus)

### getRootMenus

    public TreeNodeMenuEntry[] getRootMenus()

### getTreeVersion

    public long getTreeVersion()

### setTreeVersion

    public void setTreeVersion(long version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.